package ru.dbotthepony.kstarbound.world.entities

import ru.dbotthepony.kstarbound.math.AABB
import ru.dbotthepony.kstarbound.math.Vector2d
import ru.dbotthepony.kstarbound.world.World

class PlayerMovementController(entity: PlayerEntity) : WalkableMovementController<PlayerEntity>(entity) {
	public override var moveDirection = Move.STAND_STILL
}

/**
 * Физический аватар игрока в мире
 */
open class PlayerEntity(world: World<*, *>) : AliveWalkingEntity(world) {
	override val standingAABB = AABB.rectangle(Vector2d.ZERO, 1.8, 3.7)
	override val duckingAABB = AABB.rectangle(Vector2d.ZERO, 1.8, 1.8) + Vector2d(y = -0.9)
	override val movement = PlayerMovementController(this)

	override fun thinkAI(delta: Double) {

	}
}
